module BlogApi
  class Resource < ApiResource::Resource
    self.base_url = 'http://api.example.com'
  end

  class Category < Resource
    attr_accessor :id, :name
  end

  class Blog < Resource
    attr_accessor :id, :title

    def do_stuff_method
    end
  end

  class Tag < Resource
    attr_accessor :id, :name
  end
end