require_relative 'blog_api'

RSpec.describe ApiResource::Resource do

  class MyResource < ApiResource::Resource; end

  it 'keeps model name' do
    expect(MyResource.by_foo(3).model_name).to eq(MyResource.model_name)
  end

  it 'recursively keeps model name' do
    expect(MyResource.by_foo(3).by_bar('sdfasd').by_baz(5).model_name).to eq(MyResource.model_name)
  end
end