require_relative 'blog_api'

RSpec.describe ApiResource::ResourceCollection do

  describe 'duck types array' do

    subject { ApiResource::ResourceCollection.new(%w(1 2 3 29), nil, String) }

    it { is_expected.to respond_to :acts_like_array? }
    it { is_expected.to match_array %w(1 2 3 29) }
    it { is_expected.to have_attributes length: 4 }
  end
end